Subject: [Mops] GEANT's deployment of TreeDN to support EUMETCast
From: Leonard Giuliano <[email-masked]>
To: MBONED WG <[email-masked]>, MOPS Working Group <[email-masked]>
Date: Wed, 30 Jul 2025 12:06:37 -0700
List-Id: Media OPerationS <mops.ietf.org>

Folks,

I wanted to share a short but insightful talk from last month on GEANT’s 
deployment of TreeDN.  Rich and Ruth cover how this deployment supports a 
number of longstanding challenges for multicast, such as unicast-only 
receivers, encryption, reliability, public cloud integration and NAT 
traversal.

https://tnc25.geant.org/recordings/?session=s792

Hope it will be helpful and informative to the folks on these lists in how 
EUMETCast can be a model for scalable delivery of multidestination traffic 
(eg, live-streaming high bitrate video to mass audiences).

-Lenny